classification
Title: IDLE configdialog tests: don't modify tkinter.messagebox.
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: terry.reedy
Priority: normal Keywords:

Created on 2017-08-27 19:24 by terry.reedy, last changed 2017-09-18 00:39 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3220 merged terry.reedy, 2017-08-27 19:38
PR 3221 merged terry.reedy, 2017-08-27 20:40
PR 2046 csabella, 2017-08-27 20:56
PR 3634 merged terry.reedy, 2017-09-17 23:22
PR 3636 merged python-dev, 2017-09-18 00:13
Messages (6)
msg300921 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-27 19:24
test_configdialog twice patches tkinter.messagebox to mock askyesno without restoring it properly.  As a consequence, the outwin test in #30617 failed because the messagebox module in editor lacked askyesno.

First patch: fix configdialog and test_configdialog.  Similar to what is done elsewhere, make askyesno an instance method so that it is masked by an instance attribute mock and unmasked by deleting the instance function.  In the process, revise the messabebox import,

Follow-on patch(es): check exiting tests and apply the same idea everywhere.  In the process, end use of 'tkMessageBox'.
msg300924 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-27 19:50
Additional patch or patches will be on generalized issue #31288.
msg300927 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-27 20:39
New changeset 3457f428964d0fd6ab601272ead276a9bf8b1eaf by Terry Jan Reedy in branch 'master':
bpo-31287: IDLE - do not alter tkinter.messagebox in configdialog tests. (#3220)
https://github.com/python/cpython/commit/3457f428964d0fd6ab601272ead276a9bf8b1eaf
msg300928 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-27 21:14
New changeset 7e248904cd5b3e658b1792deca1b82d873b2d120 by Terry Jan Reedy in branch '3.6':
[3.6] bpo-31287: IDLE - do not alter tkinter.messagebox in configdialog tests. (GH-3220) (#3221)
https://github.com/python/cpython/commit/7e248904cd5b3e658b1792deca1b82d873b2d120
msg302395 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-18 00:13
New changeset 0efc7c67a2f8a184e93f9a491305c81ef2e24250 by Terry Jan Reedy in branch 'master':
bpo-31502: IDLE Configdialog again deletes custom themes and keysets. (#3634)
https://github.com/python/cpython/commit/0efc7c67a2f8a184e93f9a491305c81ef2e24250
msg302399 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-18 00:39
New changeset 6b4d8ba0971355027b8981a45a0a62ac1ef9a456 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31502: IDLE Configdialog again deletes custom themes and keysets. (GH-3634) (#3636)
https://github.com/python/cpython/commit/6b4d8ba0971355027b8981a45a0a62ac1ef9a456
History
Date User Action Args
2017-09-18 00:39:26terry.reedysetmessages: + msg302399
2017-09-18 00:13:50python-devsetpull_requests: + pull_request3628
2017-09-18 00:13:28terry.reedysetmessages: + msg302395
2017-09-17 23:22:07terry.reedysetpull_requests: + pull_request3625
2017-08-27 22:10:50terry.reedysetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-08-27 21:14:21terry.reedysetmessages: + msg300928
2017-08-27 20:56:56csabellasetpull_requests: + pull_request3263
2017-08-27 20:40:49terry.reedysetpull_requests: + pull_request3262
2017-08-27 20:39:42terry.reedysetmessages: + msg300927
2017-08-27 19:50:37terry.reedysetmessages: + msg300924
title: IDLE tests: don't modify tkinter.messagebox. -> IDLE configdialog tests: don't modify tkinter.messagebox.
2017-08-27 19:38:54terry.reedysetpull_requests: + pull_request3260
2017-08-27 19:26:31terry.reedylinkissue30780 dependencies
2017-08-27 19:24:37terry.reedycreate